Skip to main content
`Ctrl`+`K`

# SNESQNSetScaleType

Sets the scaling type for the inner inverse Jacobian in `SNESQN`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetScaleType(SNES snes, SNESQNScaleType stype)

Logically Collective

## Input Parameters

- snes - the nonlinear solver context

- stype - scale type, see `SNESQNScaleType`

## Options Database Key

- -snes_qn_scale_type <diagonal,none,scalar,jacobian> - Scaling type

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESQN`, `SNESLineSearch`, `SNESQNScaleType`, `SNESSetJacobian()`, `SNESQNType`, `SNESQNRestartType`

## Level

intermediate

## Location

src/snes/impls/qn/qn.c

## Implementations

SNESQNSetScaleType_QN() in src/snes/impls/qn/qn.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages